Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jbehave.core.annotations
Annotation Type Configure

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    @Documented
    public @interface Configure

Optional Element Summary
`Class<? extends StoryReporter>` | `defaultStoryReporter` Deprecated. Use storyReporterBuilder()
`Class<? extends EmbedderControls>` | `embedderControls`
`Class<? extends FailureStrategy>` | `failureStrategy`
`boolean` | `inheritParameterConverters`
`Class<? extends Keywords>` | `keywords`
`Class<? extends ParameterControls>` | `parameterControls`
`Class<? extends ParameterConverters.ParameterConverter>[]` | `parameterConverters`
`Class<? extends com.thoughtworks.paranamer.Paranamer>` | `paranamer`
`Class<? extends PathCalculator>` | `pathCalculator`
`Class<? extends PendingStepStrategy>` | `pendingStepStrategy`
`Class<? extends StepCollector>` | `stepCollector`
`Class<? extends StepdocReporter>` | `stepdocReporter`
`Class<? extends StepFinder>` | `stepFinder`
`Class<? extends StepMonitor>` | `stepMonitor`
`Class<? extends StepPatternParser>` | `stepPatternParser`
`Class<? extends StoryControls>` | `storyControls`
`Class<? extends StoryLoader>` | `storyLoader`
`Class<? extends StoryParser>` | `storyParser`
`Class<? extends StoryPathResolver>` | `storyPathResolver`
`Class<? extends StoryReporterBuilder>` | `storyReporterBuilder`
`Class<? extends Configuration>` | `using`
`Class<? extends ViewGenerator>` | `viewGenerator`

### using

    public abstract Class<? extends Configuration> using

  Default:
    org.jbehave.core.configuration.MostUsefulConfiguration.class

### keywords

    public abstract Class<? extends Keywords> keywords

  Default:
    org.jbehave.core.i18n.LocalizedKeywords.class

### storyControls

    public abstract Class<? extends StoryControls> storyControls

  Default:
    org.jbehave.core.embedder.StoryControls.class

### stepCollector

    public abstract Class<? extends StepCollector> stepCollector

  Default:
    org.jbehave.core.steps.MarkUnmatchedStepsAsPending.class

### storyParser

    public abstract Class<? extends StoryParser> storyParser

  Default:
    org.jbehave.core.parsers.RegexStoryParser.class

### storyLoader

    public abstract Class<? extends StoryLoader> storyLoader

  Default:
    org.jbehave.core.io.LoadFromClasspath.class

### storyPathResolver

    public abstract Class<? extends StoryPathResolver> storyPathResolver

  Default:
    org.jbehave.core.io.UnderscoredCamelCaseResolver.class

### stepdocReporter

    public abstract Class<? extends StepdocReporter> stepdocReporter

  Default:
    org.jbehave.core.reporters.PrintStreamStepdocReporter.class

### failureStrategy

    public abstract Class<? extends FailureStrategy> failureStrategy

  Default:
    org.jbehave.core.failures.RethrowingFailure.class

### pendingStepStrategy

    public abstract Class<? extends PendingStepStrategy> pendingStepStrategy

  Default:
    org.jbehave.core.failures.PassingUponPendingStep.class

### stepPatternParser

    public abstract Class<? extends StepPatternParser> stepPatternParser

  Default:
    org.jbehave.core.parsers.RegexPrefixCapturingPatternParser.class

### stepFinder

    public abstract Class<? extends StepFinder> stepFinder

  Default:
    org.jbehave.core.steps.StepFinder.class

### stepMonitor

    public abstract Class<? extends StepMonitor> stepMonitor

  Default:
    org.jbehave.core.steps.SilentStepMonitor.class

### parameterConverters

    public abstract Class<? extends ParameterConverters.ParameterConverter>[] parameterConverters

  Default:
    {}

### inheritParameterConverters

    public abstract boolean inheritParameterConverters

  Default:
    true

### parameterControls

    public abstract Class<? extends ParameterControls> parameterControls

  Default:
    org.jbehave.core.steps.ParameterControls.class

### paranamer

    public abstract Class<? extends com.thoughtworks.paranamer.Paranamer> paranamer

  Default:
    com.thoughtworks.paranamer.NullParanamer.class

### embedderControls

    public abstract Class<? extends EmbedderControls> embedderControls

  Default:
    org.jbehave.core.embedder.EmbedderControls.class

### viewGenerator

    public abstract Class<? extends ViewGenerator> viewGenerator

  Default:
    org.jbehave.core.reporters.FreemarkerViewGenerator.class

### pathCalculator

    public abstract Class<? extends PathCalculator> pathCalculator

  Default:
    org.jbehave.core.io.AbsolutePathCalculator.class

### storyReporterBuilder

    public abstract Class<? extends StoryReporterBuilder> storyReporterBuilder

  Default:
    org.jbehave.core.reporters.StoryReporterBuilder.class

### defaultStoryReporter

    public abstract Class<? extends StoryReporter> defaultStoryReporter

  Deprecated. Use storyReporterBuilder()

  Default:
    org.jbehave.core.reporters.ConsoleOutput.class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2003-2013. All Rights Reserved.